Results 1 to 2 of 2

Thread: dependency problems prevent configuration of linux-image-arm64 / issues when trying to install kali

Hybrid View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    2023-Jul
    Posts
    1

    Question dependency problems prevent configuration of linux-image-arm64 / issues when trying to install kali

    after updating my kali machine to 2023.2 it shows a panic err :



    Screenshot 2023-07-17 at 11.26.51 AM.jpg

    when trying to fix that from the previous build I get all sort of errors , but this one I'm unable to fix :

    Code:
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    4 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Setting up linux-headers-6.3.0-kali1-arm64 (6.3.7-1kali1) ...
    /etc/kernel/header_postinst.d/dkms:
    dkms: running auto installation service for kernel 6.3.0-kali1-arm64.
    The kernel is be built without module signing facility, modules won't be signed
    
    Building module:
    Cleaning build area...
    make -j8 KERNELRELEASE=6.3.0-kali1-arm64 -f Makefile.kmods KSRC=/lib/modules/6.3.0-kali1-arm64/build KVER=6.3.0-kali1-arm64...(bad exit status: 2)
    Error! Bad return status for module build on kernel: 6.3.0-kali1-arm64 (aarch64)
    Consult /var/lib/dkms/parallels-tools/18.0.2.53077/build/make.log for more information.
    dkms autoinstall on 6.3.0-kali1-arm64/aarch64 failed for parallels-tools(10)
    Error! One or more modules failed to install during autoinstall.
    Refer to previous errors for more information.
    dkms: autoinstall for kernel: 6.3.0-kali1-arm64 failed!
    run-parts: /etc/kernel/header_postinst.d/dkms exited with return code 11
    Failed to process /etc/kernel/header_postinst.d at /var/lib/dpkg/info/linux-headers-6.3.0-kali1-arm64.postinst line 11.
    dpkg: error processing package linux-headers-6.3.0-kali1-arm64 (--configure):
     installed linux-headers-6.3.0-kali1-arm64 package post-installation script subprocess returned error exit status 1
    Setting up linux-image-6.3.0-kali1-arm64 (6.3.7-1kali1) ...
    /etc/kernel/postinst.d/dkms:
    dkms: running auto installation service for kernel 6.3.0-kali1-arm64.
    The kernel is be built without module signing facility, modules won't be signed
    
    Building module:
    Cleaning build area...
    make -j8 KERNELRELEASE=6.3.0-kali1-arm64 -f Makefile.kmods KSRC=/lib/modules/6.3.0-kali1-arm64/build KVER=6.3.0-kali1-arm64...(bad exit status: 2)
    Error! Bad return status for module build on kernel: 6.3.0-kali1-arm64 (aarch64)
    Consult /var/lib/dkms/parallels-tools/18.0.2.53077/build/make.log for more information.
    dkms autoinstall on 6.3.0-kali1-arm64/aarch64 failed for parallels-tools(10)
    Error! One or more modules failed to install during autoinstall.
    Refer to previous errors for more information.
    dkms: autoinstall for kernel: 6.3.0-kali1-arm64 failed!
    run-parts: /etc/kernel/postinst.d/dkms exited with return code 11
    dpkg: error processing package linux-image-6.3.0-kali1-arm64 (--configure):
     installed linux-image-6.3.0-kali1-arm64 package post-installation script subprocess returned error exit status 1
    dpkg: dependency problems prevent configuration of linux-headers-arm64:
     linux-headers-arm64 depends on linux-headers-6.3.0-kali1-arm64 (= 6.3.7-1kali1); however:
      Package linux-headers-6.3.0-kali1-arm64 is not configured yet.
    
    dpkg: error processing package linux-headers-arm64 (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of linux-image-arm64:
     linux-image-arm64 depends on linux-image-6.3.0-kali1-arm64 (= 6.3.7-1kali1); however:
      Package linux-image-6.3.0-kali1-arm64 is not configured yet.
    
    dpkg: error processing package linux-image-arm64 (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     linux-headers-6.3.0-kali1-arm64
     linux-image-6.3.0-kali1-arm64
     linux-headers-arm64
     linux-image-arm64
    E: Sub-process /usr/bin/dpkg returned an error code (1)


  2. #2
    Join Date
    2023-Aug
    Posts
    1

    Download again Parallels Desktop

    Have you try to download the last version of parallels from the official webpage?

    After updating Parallels Desktop I try to reinstall Parallels Tools and it works.

    Just try to execute this before installation:

    Code:
    # sudo mount -oro,exec,remount /media/cdrom
    
    # sudo /media/cdrom/install

Similar Threads

  1. dpkg: dependency problems prevent configuration of virtualbox-5.1
    By Igloo22 in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2017-05-09, 03:43
  2. Unable to install pipelight due to wine-staging dependency Issues
    By yobenjo in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2016-04-11, 22:02

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •